@media (min-width: 63.01rem) {

    #menu-button { display: none; }

    #mainmenu { flex: 1 1 auto; display: flex; flex-flow: row nowrap; justify-content: flex-end; align-items: center; }
    #mainmenu .mainmenu { display: flex; flex-flow: row nowrap; justify-content: space-between; align-items: center; margin: 0 1em 0 0; list-style-type: none; }
    #mainmenu .mainmenu li { margin: 0; }
    #mainmenu .mainmenu li:not(:last-child) { margin-right: -.125em; }
    #mainmenu .mainmenu a { display: block; text-decoration: none; text-transform: uppercase; color: var(--color-dark-grey); padding: .5em 1em; font-weight: 400; }
    #mainmenu .mainmenu .selected > a { color: var(--color-red); font-weight: 700; }
    #mainmenu .mainmenu a:hover { color: var(--color-black); }

}

@media (min-width: 63.01rem) and (max-width: 70rem) {
    #mainmenu .mainmenu {margin: 0 .5em 0 0; }
    #mainmenu .mainmenu a { padding: .5em .5em; }
    #mainmenu .mainmenu li:not(:last-child) { margin-right: .125em; }
}

@media (max-width: 63rem) {

    #menu-button {
        flex: 0 0 auto;
        position: relative;
        display: block;
        width: 3.125rem;
        height: 3.125rem;
        cursor: pointer;
        text-align: center;
        color: var(--color-white, #FFFFFF);
        background: var(--color-red);
        border: 0;
        border-radius: .125rem;
        margin: 0;
        padding: 0;
        z-index: 99;
    }
    #menu-button .text {
        position: absolute;
        overflow: hidden;
        width: 1px;
        height: 1px;
        margin: -1px;
        padding: 0;
        clip: rect(0, 0, 0, 0);
    }
    #menu-button .bar {
        position: absolute;
        display: block;
        width: 80%;
        height: 10%;
        top: 50%;
        margin-top: -5%;
        margin-left: 10%;
        border-radius: 1px;
        background: var(--color-white, #FFFFFF);
        transition: all .3s ease-in-out 0s;
        transform: rotate(0deg);
    }
    #menu-button .bar:nth-child(2) { margin-top: -25%; }
    #menu-button .bar:nth-child(4) { margin-top: 15%; width: 60%; }
    #menu-button:hover .bar:nth-child(3) { margin-left: 15%; }
    #menu-button.opened .bar:nth-child(2) { margin-top: -5%; transform: rotate(-45deg); }
    #menu-button.opened .bar:nth-child(3) { opacity: 0; }
    #menu-button.opened .bar:nth-child(4) { margin-top: -5%; transform: rotate(45deg); width: 80%; }


    #mainmenu {
        position: relative;
        display: flex;
        align-items: center;
        flex-flow: column nowrap;
        overflow: hidden;
        visibility: hidden;
        margin: 0 calc(var(--gutter-x, 1rem) * -1);
        padding: 0 var(--gutter-x, 1rem);
        width: calc(100% + var(--gutter-x, 1rem) * 2);
        height: 0;
        background: var(--color-white);
        transition: height .5s ease, visibility 0s ease .5s;
    }
    #mainmenu.opened {
        height: auto;
        visibility: visible;
        transition: height .5s ease;
    }

    #mainmenu > :first-child {
        margin-top: 1rem;
    }

    #mainmenu > :last-child {
        margin-bottom: 1rem;
    }

    header { z-index: 100; }
    body:before { content:''; position: fixed; left: 0; top: 0; width: 100%; height: 0; opacity: 0; background: rgba(0, 0, 0, .5); z-index: 99; transition: opacity .5s ease, height 0s ease .5s; }
    body.menu-opened:before { height: 200%; opacity: 1; transition: opacity .5s ease; }

    #mainmenu .mainmenu { width: 100%; display: flex; flex-flow: column nowrap; justify-content: flex-start; align-items: stretch; margin: 1rem 0; list-style-type: none; font-size: 1.25em; }
    #mainmenu .mainmenu li { margin: 0; text-align: center; }
    #mainmenu .mainmenu li:not(:last-child) { border-bottom: 1px solid #EEEEEE; }
    #mainmenu .mainmenu a { display: block; text-decoration: none; text-transform: uppercase; color: var(--color-dark-grey); padding: .25em .75em; }
    #mainmenu .mainmenu a:hover { background: var(--color-beige); color: var(--color-black); }
    #mainmenu .mainmenu .selected > a { color: var(--color-red); font-weight: 600; }

    #mainmenu .mainmenu > li { transition: transform 0s ease .5s, opacity 0s ease .5s; transform: translateX(1.5rem); opacity: 0; }
    #mainmenu.opened .mainmenu > li { transition: transform .4s ease 0s, opacity .4s ease 0s; transform: none; opacity: 1; }
    #mainmenu.opened .mainmenu > li:nth-child(1) { transition-delay: .05s; }
    #mainmenu.opened .mainmenu > li:nth-child(2) { transition-delay: .10s; }
    #mainmenu.opened .mainmenu > li:nth-child(3) { transition-delay: .15s; }
    #mainmenu.opened .mainmenu > li:nth-child(4) { transition-delay: .20s; }
    #mainmenu.opened .mainmenu > li:nth-child(5) { transition-delay: .25s; }
    #mainmenu.opened .mainmenu > li:nth-child(6) { transition-delay: .30s; }
    #mainmenu.opened .mainmenu > li:nth-child(7) { transition-delay: .35s; }
    #mainmenu.opened .mainmenu > li:nth-child(8) { transition-delay: .40s; }
    #mainmenu.opened .mainmenu > li:nth-child(9) { transition-delay: .45s; }
    #mainmenu.opened .mainmenu > li:nth-child(10) { transition-delay: .5s; }

}